| My Project

Public Member Functions | Public Attributes | Protected Member Functions | Properties | Events | List of all members
WpfApp1.UserControlRequin Class Reference

Logique d'interaction pour UserControlRequin.xaml More...

Inheritance diagram for WpfApp1.UserControlRequin:

## Public Member Functions
| UserControlRequin ()
| Le UserControl qui est stocké dans une listBox et permet d'ouvrir les pages de description
void | UserControlReq_MouseDown (object sender, MouseButtonEventArgs e)
| Evénement qui est déclencher quand l'utilisateur clique sur l'userControl More...
void | uptadeUi (Requin requin)
| Méthode qui permet de mettre à jour l'affichage de l'userControl More...

## Public Attributes
UCrequinType | type
| Le type d'userControl requi que c'est (permet de savoir quelle description ouvrir)

## Protected Member Functions
virtual void | OnDescriptionWeGo (DescriptionWeGoEventArgs args)
| L'événement qui permet de passer à l'UserControlDescription More...

## Properties
Manager | Mgr`[get]`
| Manager lié à celui de l'app
Requin | requin`[get, set]`
| Le requin qui permet de mettre à jour l'affichage

## Events
EventHandler< DescriptionWeGoEventArgs > | DescriptionWeGo
| Event Handler de DescriptionWeGoEventArgs

## Detailed Description

Logique d'interaction pour UserControlRequin.xaml

## Member Function Documentation

## ◆ OnDescriptionWeGo()

virtual void WpfApp1.UserControlRequin.OnDescriptionWeGo | ( | DescriptionWeGoEventArgs | args | ) |
| protected virtual

L'événement qui permet de passer à l'UserControlDescription

Parameters

  args |

## ◆ uptadeUi()

void WpfApp1.UserControlRequin.uptadeUi | ( | Requin | requin | ) |
| inline

Méthode qui permet de mettre à jour l'affichage de l'userControl

Parameters

  requin |

## ◆ UserControlReq_MouseDown()

void WpfApp1.UserControlRequin.UserControlReq_MouseDown | ( | object | sender,
|  | MouseButtonEventArgs | e
| ) |  |
| inline

Evénement qui est déclencher quand l'utilisateur clique sur l'userControl

Parameters

  sender |
  e |

The documentation for this class was generated from the following file:

- WpfApp1/UserControlRequin.xaml.cs